# IntlChar::foldCase

(PHP 7, PHP 8)

IntlChar::foldCase — Effectue le pliage de cas sur un point de code

### Description

public static IntlChar::foldCase(int|string `$codepoint`, int `$options` = IntlChar::FOLD_CASE_DEFAULT): int|string|null

Le caractère donné est mappé à son équivalent de pliage de cas; si le caractère n'a pas d'équivalent de pliage de cas, le caractère lui-même est renvoyé.

### Liste de paramètres

`codepoint`

  La valeur codepoint de type entier (i.e. `0x2603` pour U+2603 SNOWMAN), ou le caractère encodé en UTF-8 de type chaîne de caractères (i.e. `"\u{2603}"`)

`options`

  Soit `IntlChar::FOLD_CASE_DEFAULT` (défaut) ou `IntlChar::FOLD_CASE_EXCLUDE_SPECIAL_I`.

### Valeurs de retour

Renvoie le pliage de cas simple du point de code, si disponible; sinon le point de code lui-même en cas de succès, ou `null` en cas d'échec.